Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.notification
Interface EventListener

All Superinterfaces:
  EventListener

    public interface EventListener

extends EventListener

An event listener object is used to receive asynchronously delivered MQ events.

MQ client runtime may notify an application about a specific MQ event if one has been set to the MQ connection.

Method Summary
`void` `onEvent(Event event)` Notify a MQ application of a MQ event.

Method Detail

### onEvent

    void onEvent(Event event)

  Notify a MQ application of a MQ event.

  Parameters:
    `event` - the event generated by MQ runtime.

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.